SWAPON(8)

NOM
swapon, swapoff - Activer et désactiver les périphériques et fichiers pour la pagination et l’échange sur disque

SYNOPSIS

swapon [options] [fichier_spécial...]

swapoff [-va] [fichier_spécial...]

DESCRIPTION

swapon est utilisé pour indiquer les périphériques sur lesquels la pagination et l’échange auront lieu.

Le périphérique ou le fichier utilisé est indiqué par le paramètre fichier_spécial. Il peut être de la forme -L étiquette ou -U UUID pour indiquer le périphérique à l’aide d’une étiquette ou d’un UUID.

Les appels à swapon se produisent normalement dans les fichiers d’initialisation du système, rendant tous les périphériques d’échange disponibles, de telle sorte que l’activité de pagination est répartie sur plusieurs périphériques et fichiers.

swapoff désactive la pagination sur les périphériques ou fichiers indiqués. Quand l’attribut -a est donné, la pagination est désactivée sur tous les périphériques ou fichiers d’échange connus (comme trouvés dans /proc/swaps ou /etc/fstab).

OPTIONS

-a, --all
    Tous les périphériques marqués « swap » dans /etc/fstab sont rendus disponibles pour la pagination sauf s’ils possèdent l’option « noauto ». Les périphériques qui sont déjà utilisés en tant que tels sont silencieusement ignorés.

-T, --fstab chemin
    Specifies an alternative fstab file for compatibility with mount(8). If path is a directory, then the files in the directory are sorted by strverscmp(3); files that start with "." or without an .fstab extension are ignored. The option can be specified more than once. This option is mostly designed for initramfs or chroot scripts where additional configuration is specified beyond standard system configuration.

-d, --discard[=stratégie]
    Enable swap discards, if the swap backing device supports the discard or trim operation. This may improve performance on some Solid State Devices, but often it does not. The option allows one to select between two available swap discard policies:

    --discard=once
        to perform a single-time discard operation for the whole swap area at swapon; or

    --discard=pages
        to asynchronously discard freed swap pages before they are available for reuse.

    If no policy is selected, the default behavior is to enable both discard types. The /etc/fstab mount options discard, discard=once, or discard=pages may also be used to enable discard flags.

-e, --ifexists
    Passer silencieusement les périphériques qui n’existent pas. L’option de montage nofail de /etc/fstab pourrait aussi permettre de passer silencieusement les périphériques qui n’existent pas.

-f, --fixpgsz
    Réinitialiser (exec mkswap) l’espace d’échange si sa taille de page ne correspond pas à celle du noyau en cours d’exécution. mkswap(2) initialise le périphérique entièrement et ne vérifie pas si des blocs sont corrompus.

-L étiquette
    Utiliser la partition avec l'étiquette donnée (l’accès à /proc/partitions est nécessaire).

-o, --options options
    Specify swap options by an fstab-compatible comma-separated string. For example:

    swapon -o pri=1,discard=pages,nofail /dev/sda2

    La chaîne options est évaluée en dernier et écrase toutes les autres options de la ligne de commande.

-p, --priority priorité
    Indiquer la priorité d’un périphérique d’échange. priorité est un entier compris entre -1 et 32767. Les nombres les plus élevés indiquent une priorité plus grande. Consultez swapon(2) pour une description complète des priorités d’espace d’échange. Ajoutez pri=valeur dans le champ option de /etc/fstab pour l’utiliser avec swapon -a. La valeur par défaut est -1 quand aucune priorité n’est définie.

-s, --summary
    Afficher le résumé par périphérique de l’utilisation de la pagination. C’est équivalent à cat /proc/swaps. Ce format de sortie est obsolète, remplacé par --show qui fournit un meilleur contrôle des données en sortie.

--show[=colonne...]
    Afficher un tableau de zones d’échange. Consultez la sortie de --help pour une liste de colonnes disponibles.

--output-all
    Afficher toutes les colonnes disponibles.

--noheadings
    Ne pas afficher d’en-tête avec la sortie de --show.

--raw
    Afficher la sortie de --show sans alignement des colonnes du tableau.

--bytes
    Afficher la taille de l’espace d’échange en octet dans la sortie de --show au lieu d’unités plus lisibles.

-U UUID
    Utiliser la partition avec l'UUID indiqué.

-v, --verbose
    Sortie détaillée.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

Les codes de retour de swapoff depuis la version 2.36 sont les suivants :

0
    Succès.

2
    La mémoire du système est insuffisante pour arrêter l’utilisation de l’espace d’échange (débordement de mémoire).

4
    swapoff(2) syscall failed for another reason

8
    non-swapoff(2) syscall system error (out of memory, ...)

16
    Erreur d’utilisation ou de syntaxe

32
    Échec complet de swapoff pour --all

64
    Réussite partielle de swapoff pour --all

La commande swapoff\ --all a renvoyé 0 (succès total), 32 (échec complet) ou 64 (échec partiel, réussite partielle).

+ Les versions anciennes avant la version 2.36 n’avaient aucun code de retour documenté. 0 signifie succès dans toutes les versions.

ENVIRONNEMENT

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

FICHIERS

/dev/sd??
    les périphériques standards de pagination sur disque

/etc/fstab
    table de description en ASCII des systèmes de fichiers

NOTES

  Fichiers creux

L’implémentation de fichier d’échange dans le noyau s’attend à pouvoir écrire directement dans le fichier, sans aide du système de fichiers. C’est un problème pour les fichiers avec des creux ou en copie sur écriture (« copy-on-write ») comme Btrfs.

Les commandes telles B*cp*(1) ou truncate(1) créent des fichiers creux. Ces fichiers sont rejetés par swapon.

Les fichiers préalloués créés par fallocate(1) peuvent être aussi interprétés comme des fichiers creux selon le système de fichiers. Les fichiers d’échange préalloués sont pris en charge par XFS depuis Linux 4.18.

La façon la plus portable de créer un fichier d’échange est d’utiliser dd(1) et /dev/zero.

  Btrfs

Swap files on Btrfs are supported since Linux 5.0 on files with nocow attribute. See the btrfs(5) manual page for more details.

  NFS

La pagination par NFS (Network File System) risque de ne pas fonctionner.

  Suspend

swapon automatically detects and rewrites a swap space signature with old software suspend data (e.g., S1SUSPEND, S2SUSPEND, ...). The problem is that if we don’t do it, then we get data corruption the next time an attempt at unsuspending is made.

HISTORIQUE

La commande swapon est apparue pour la première fois dans 4.0BSD.

VOIR AUSSI

swapoff(2), swapon(2), fstab(5), init(8), fallocate(1), mkswap(8), mount(8), rc(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande swapon fait partie du paquet util-linux, elle est disponible sur